@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;500;600&display=swap');

/*geral*/
*
{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    border: none;
    outline: none;
    scroll-behavior: smooth;
    font-family: 'Open Sans', sans-serif;
}

:root
{
    --shadow-color: rgba(0, 0, 0, .2)
}

/*header*/ 
.header
{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background: whitesmoke;
    display: flex;
    align-items: center;
    z-index: 100;
    padding: .2rem 8%;
    height: 95px;
    transition: .5s;
}

.header.sticky
{
    background: #ececec;
    box-shadow: 0 .2rem 1rem var(--shadow-color);
    opacity: 0.98;
}

.logo
{
    cursor: pointer;
    margin-right: auto;  
}

.logo-image
{
    width: 105px;
    margin-top: 4px;
    margin-bottom:4px;
}


.navbar a
{
    position: relative;
    font-size: .9rem;
    color: #132654;
    font-weight: 500;
    margin-right: 3.5rem;
    text-decoration: none;
}

.header.sticky .navbar a
{
    color: #1e3e89;
}

.header.sticky .navbar a.active,
.navbar a:hover
{
    color: #2459d6;
    font-size: 1rem;
    transition: 0.1s;
}

.header.sticky .navbar a::before
{
    background: #0f2152d3;
    opacity: .9;
}


#menu-icon
{
    font-size: 3.6rem;
    color: #00005f;
    display: none;
}

/*section*/

span
{
    font-weight:bolder;
}
/*soluções*/


.solucoes
{
    background: url(midia/background.png);
    padding: 10rem 5rem 2rem ;
    color: #072b80;
}

.heading
{
    font-size: 2.5rem;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.2);
    text-align: left;
    letter-spacing: .2rem;
    font-weight: 500;
    margin-bottom: 25px;
    color: #072b80;
}

.heading2
{
    letter-spacing: .2rem;
    font-size: 2rem;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.1);
    font-weight: 200;
    margin-bottom: 65px;
}



.solucoes .row
{
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    margin-bottom: 30px;
}

.solucoes .row .image
{
    flex: 1 1 30rem;
    margin-right: 20px;
    margin-bottom: 20px;
    
}

.solucoes .row .image img
{
   width: 750px;
   box-shadow:2px 2px 4px rgba(15, 1, 75, 0.774);
   border-radius: 1rem;

}

.solucoes .row .content
{
    flex: 1 1 45rem;
    padding: 3rem;
    max-width: 100%;
    text-align: justify;
    align-self: flex-start;
}

.solucoes .row .content h3
{
    font-size: 1.5rem;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.1);
    letter-spacing: .1rem;
    margin-top: -15px;
}

.solucoes .content p
{
    font-size: 1.1rem;
    color: #051d57;
    padding: 1rem 0;
    margin-bottom: -20px;
    font-weight: 400;

}

/*footer*/

.footer
{
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    padding: 1.5rem 7%;
    background: #d3d3d39d;
}

.footer-text p
{
    font-size: 1.2rem;
    color: #000000;
    font-weight: 500
}

.footer-text a 
{
    text-decoration: none;
    color: #000000;
    font-weight: 500;
}

.footer-text a:hover
{
    color: #353434;
}

.footer-text a:visited {
    color: #000000;
}

/*BREAKPOINTS*/

@media only screen and (max-width: 768px) {


    html
    {
        font-size: 70%;
    }

    .header {
    display: flex;
    justify-content: space-between; /* Adicione esta linha */
    align-items: center;}

.custom-icon {
    order: -1; /* Adicione esta linha */
}
    
    .solucoes .row {
        flex-direction: column;
    }

    .solucoes .row .image,
    .solucoes .row .content {
        flex: 1 1 100%;
        margin-right: 0;
    }

    .solucoes .row .image img {
        width: 100%; /* Ajusta a largura da imagem para ocupar 100% da largura disponível */
        margin-bottom: 20px;
    }

    .solucoes .row .content {
        padding: 1rem;
    }

  .navbar 
    {
        position:relative;
        top: 100%;
        left: 0;
        width: 100%;
        padding: 1rem 3%;
        background: whitesmoke;
        border-top: .1rem solid rgba(0, 0, 0, .2);
        box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .1);
        display: none;
    }
    .navbar.active
    {
        display: block;
        margin-left: 10px;
    }

    .navbar a {
        display: block;
        font-size: 1.5rem;
        margin: 2rem 0;
        color: #1e3e89;
    }
    .navbar a:nth-child(1),
    .navbar a:nth-child(2) {
        color: #0f2c7ed3
    }
    .navbar a.active {
        color: #1e3e89;
    }
    .navbar a::before {
        display: none;
    }
    
    .logo-image
    {
        width: 85px;
    }
    
    #menu-icon {
        display: flex;
        margin-left: 250px;
        height: 30px;
    }
    
   
}
